Arduino

Reference Language | Libraries | Comparison | Changes

Robot

## beginSD()

#### Description

Initialize the SD card for use. Functions that read data from a SD card like drawBMP() and playFile() are dependent on this.

NB : This function uses a lot of memory, and may leads to undefined results if used in a complex sketch. It's recommended to not use this unless you are using the SD card.

#### Syntax

Robot.beginSD()

#### Parameters

none

#### Returns

none

#### Examples

#include <ArduinoRobot.h>
void setup(){
Robot.begin();
Robot.readyTFT();
Robot.beginSD();//Initialize the sd card
Robot.drawBMP("inicio.bmp",0,0);//draw an image from the sd card
}
void loop(){
}
[Get Code]

#### See also

- drawBMP()
- playFile()

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

### Share

### This link has expired.
Please re-subscribe to our Newsletters.

### Subscribe to our Newsletters

Email

Please enter a valid email to subscribe

Arduino Newsletter
Arduino Store Newsletter

### Confirm your email address

We need to confirm your email address.
To complete the subscription, please click the link in the email we just sent you.

Thank you for subscribing!

Arduino
via Egeo 16
Torino, 10131
Italy

###### Newsletter

- ©2015 Arduino
- Copyright Notice
- Contact us
- Careers